Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.state
Class InputObjectState

    java.lang.Object
      com.arjuna.ats.arjuna.state.InputBuffer
          com.arjuna.ats.arjuna.state.InputObjectState

public class InputObjectState
extends InputBuffer

InputObjectState provides some additional methods to a basic InputBuffer.

Since:
  JTS 1.0.
Version:
  $Id: InputObjectState.html,v 1.1 2008/01/04 06:52:40 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Field Summary

Fields inherited from class com.arjuna.ats.arjuna.state.InputBuffer
`_valid`

Constructor Summary
`InputObjectState()`
`InputObjectState(InputObjectState copyFrom)`
`InputObjectState(OutputObjectState copyFrom)`
`InputObjectState(Uid newUid, java.lang.String tName, byte[] buff)`

Method Summary
`void` | `copy(InputObjectState objstate)`
`void` | `copyFrom(OutputObjectState copyFrom)`
`boolean` | `notempty()`
`void` | `print(java.io.PrintWriter strm)` Print information about this instance.
`int` | `size()`
`Uid` | `stateUid()`
`java.lang.String` | `toString()`
`java.lang.String` | `type()`
`void` | `unpackFrom(InputBuffer buff)` Unpack a buffer from the provided buffer, and initialise this instance with it.

Methods inherited from class com.arjuna.ats.arjuna.state.InputBuffer
`buffer, copy, length, reread, setBuffer, unpackBoolean, unpackByte, unpackBytes, unpackChar, unpackDouble, unpackFloat, unpackInt, unpackLong, unpackShort, unpackString, valid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InputObjectState

    public InputObjectState()

### InputObjectState

    public InputObjectState(InputObjectState copyFrom)

### InputObjectState

    public InputObjectState(OutputObjectState copyFrom)

### InputObjectState

    public InputObjectState(Uid newUid,
                            java.lang.String tName,
                            byte[] buff)

Method Detail

### notempty

    public final boolean notempty()

### size

    public final int size()

### stateUid

    public final Uid stateUid()

### type

    public final java.lang.String type()

### copyFrom

    public void copyFrom(OutputObjectState copyFrom)

### print

    public void print(java.io.PrintWriter strm)

  Description copied from class: `InputBuffer`
  Print information about this instance.

  Overrides:
    `print` in class `InputBuffer`

### toString

    public java.lang.String toString()

### copy

    public void copy(InputObjectState objstate)

### unpackFrom

    public void unpackFrom(InputBuffer buff)
                    throws java.io.IOException

  Description copied from class: `InputBuffer`
  Unpack a buffer from the provided buffer, and initialise this instance with it. If the next item in the buffer is not of the right type then an IOException is thrown.

  Overrides:
    `unpackFrom` in class `InputBuffer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD